# Interface ContractTypeNative

Type of a contract with full Solidity info -- may be used for actual variables

#### Category

User-defined elementary types

#### Hierarchy

- ContractTypeNative

- Defined in codec/lib/format/types.ts:495

#####
Index

### Properties

contractKind?
id
kind
payable?
typeClass
typeName

## Properties

### `Optional` contractKind

contractKind?: ContractKind

- Defined in codec/lib/format/types.ts:503

### id

id: string

Internal ID. Format may change in future.

- Defined in codec/lib/format/types.ts:501

### kind

kind: "native"

- Defined in codec/lib/format/types.ts:497

### `Optional` payable

payable?: boolean

Indicates whether contract has payable fallback function

- Defined in codec/lib/format/types.ts:507

### typeClass

typeClass: "contract"

- Defined in codec/lib/format/types.ts:496

### typeName

typeName: string

- Defined in codec/lib/format/types.ts:502

Generated using TypeDoc